import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { DrawerService } from './service/drawer.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class StateListener implements OnInit, OnDestroy {
    protected drawerService: DrawerService;
    protected changeDetector: ChangeDetectorRef;
    drawerOpenListener: Subscription;
    constructor(drawerService: DrawerService, changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    isOpen(): boolean;
    isOpenOnHover(): boolean;
    unsubscribeListeners(): void;
    listenForDrawerChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StateListener, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<StateListener, never, never, {}, {}, never>;
}
